> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# trace_get on Polygon

> trace_get returns a single Parity-style trace at a given position within a transaction on Polygon, via GoldRush JSON-RPC.

> [card] 0.015 credits per call

`trace_get` on **Polygon**: Returns a single Parity-style trace at a given position within a transaction.

> [!NOTE]
>
> `trace_get` requires archive depth. See the [debug & trace matrix](https://goldrush.dev/docs/goldrush-json-rpc/debug-trace.md) for Polygon archive coverage.

## Endpoint

```
https://rpc.goldrushdata.com/v1/matic-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `transactionHash` | `DATA, 32 bytes` | yes | Transaction hash. | `"0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"` |
| `tracePosition` | `Array<QUANTITY>` | yes | Address path through the call tree, as an array of indices. | `["0x0"]` |

## Returns

`Object`: A single trace object at the requested position.

```json theme={null}
{"action":{"from":"0x...","to":"0x...","callType":"call","value":"0x0"},"result":{"gasUsed":"0x5208","output":"0x"},"subtraces":0,"traceAddress":[0],"type":"call"}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/matic-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "trace_get",
    "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["0x0"]]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/matic-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("trace_get", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["0x0"]]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/matic-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "trace_get",
  params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["0x0"]],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/matic-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "trace_get",
  params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["0x0"]],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/matic-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("trace_get", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b", ["0x0"]])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Debug and trace methods on Polygon

* [`debug_traceTransaction` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/debug-tracetransaction)
* [`debug_traceCall` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/debug-tracecall)
* [`debug_traceBlockByHash` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/debug-traceblockbyhash)
* [`debug_traceBlockByNumber` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/debug-traceblockbynumber)
* [`trace_transaction` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/trace-transaction)

## Also available on

* [`trace_get` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/trace-get)
* [`trace_get` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/trace-get)
* [`trace_get` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/trace-get)
* [`trace_get` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/trace-get)
* [`trace_get` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/trace-get)
* [`trace_get` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/trace-get)
* [`trace_get` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/trace-get)
* [`trace_get` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/trace-get)
* [`trace_get` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/trace-get)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.